API reference
Issue an x402 execution grant for an approved intent
POST
/v1/agent-payments/runtime/intents/{intentId}/authorizationAuthorization
agentKey AuthorizationBearer <token>
Paste the Agent Key bound to one payment agent. Agent Keys only work on Runtime endpoints.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/runtime/intents/{intentId}/authorization" \ -H "Content-Type: application/json" \ -d '{ "resource_url": "http://example.com", "requirements": { "x402_version": 2, "scheme": "exact", "network": "string", "asset": "string", "pay_to": "string", "max_amount_atomic": "string", "max_timeout_seconds": 1, "extra": { "property1": null, "property2": null } } }'{
"intent_id": "string",
"authorization_id": "string",
"grant": "string"
}Empty
How is this guide?
Last updated